unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,
  TeEngine, Chart, Series, TeCanvas, TeeGDIPlus, TeeThemes, TeeProcs,
  TeeComma;


type
  TForm1 = class(TForm)
    Panel1: TPanel;
    RadioGroup1: TRadioGroup;
    ScrollBar1: TScrollBar;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    TeeCommander1: TTeeCommander;
    procedure FormCreate(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
    Chart1: TChart;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
    tmp: double;
begin
  Chart1:=TChart.Create(Self);
  Chart1.Parent:=Self;
  Chart1.Align:=alClient;

  Chart1.Canvas:=TGDIPlusCanvas.Create;
  TOperaTheme.Create(Chart1).Apply;

  with Chart1.AddSeries(TBarSeries) as TBarSeries do
  begin
    for i:=0 to 5 do
    begin
      tmp:=random*75+25;
      Add(tmp, FormatFloat('#0.#', tmp) + ' MB');
    end;

    Marks.Style:=smsLabelPercent;
    Marks.MultiLine:=true;
  end;

  TeeCommander1.Panel:=Chart1;
end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
  Chart1.View3DOptions.FontZoom:=ScrollBar1.Position;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then
     Chart1.Canvas:=TGDIPlusCanvas.Create
  else
     Chart1.Canvas:=TTeeCanvas3D.Create;

  RadioGroup1Click(Self);
end;

type
  TCanvasAccess=class(TTeeCanvas3D);

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  if Chart1.Canvas is TGDIPlusCanvas then
    case RadioGroup1.ItemIndex of
      0: TGDIPlusCanvas(Chart1.Canvas).AntiAliasText:=gpfDefault;
      1: TGDIPlusCanvas(Chart1.Canvas).AntiAliasText:=gpfNormal;
      2: TGDIPlusCanvas(Chart1.Canvas).AntiAliasText:=gpfBest;
    else
      TGDIPlusCanvas(Chart1.Canvas).AntiAliasText:=gpfClearType;
    end
  else
  begin
    case RadioGroup1.ItemIndex of
      0: TCanvasAccess(Chart1.Canvas).FontQuality:=fqDefault;
      1: TCanvasAccess(Chart1.Canvas).FontQuality:=fqNormal;
      2: TCanvasAccess(Chart1.Canvas).FontQuality:=fqBest;
    else
      TCanvasAccess(Chart1.Canvas).FontQuality:=fqClearType;
    end;

    Chart1.Invalidate;
  end;
end;

end.
